|  | Home · All Classes · Modules

# QItemSelectionModel.SelectionFlags Class Reference
[QtGui module]

### Methods

- __init__ (self, SelectionFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- SelectionFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, SelectionFlags f)
- SelectionFlags __iand__ (self, int mask)
- int __int__ (self)
- SelectionFlags __invert__ (self)
- SelectionFlags __ior__ (self, SelectionFlags f)
- SelectionFlags __ixor__ (self, SelectionFlags f)
- bool __ne__ (self, SelectionFlags f)
- SelectionFlags __or__ (self, SelectionFlags f)
- SelectionFlags __or__ (self, int f)
- SelectionFlags __xor__ (self, SelectionFlags f)
- SelectionFlags __xor__ (self, int f)

## Detailed Description

SelectionFlag may be used whenever SelectionFlags is expected.

## Method Documentation

### SelectionFlags.__init__ (self, SelectionFlags)

### SelectionFlags.__init__ (self, int)

### SelectionFlags.__init__ (self)

### SelectionFlags SelectionFlags.__and__ (self, int mask)

### int SelectionFlags.__bool__ (self)

### bool SelectionFlags.__eq__ (self, SelectionFlags f)

### SelectionFlags SelectionFlags.__iand__ (self, int mask)

### int SelectionFlags.__int__ (self)

### SelectionFlags SelectionFlags.__invert__ (self)

### SelectionFlags SelectionFlags.__ior__ (self, SelectionFlags f)

### SelectionFlags SelectionFlags.__ixor__ (self, SelectionFlags f)

### bool SelectionFlags.__ne__ (self, SelectionFlags f)

### SelectionFlags SelectionFlags.__or__ (self, SelectionFlags f)

### SelectionFlags SelectionFlags.__or__ (self, int f)

### SelectionFlags SelectionFlags.__xor__ (self, SelectionFlags f)

### SelectionFlags SelectionFlags.__xor__ (self, int f)